const paymentType = (window as any).paymentType
import { RouteRecordRaw } from 'vue-router'

// 需要登录的路由
export const router: RouteRecordRaw[] = [
  {
    path: '/lessonCourseware',
    name: 'lessonCourseware',
    component: () => import('@/views/lessonCourseware/index'),
    meta: {
      title: '选择课件'
    }
  },
  {
    path: '/courseList',
    name: 'courseList',
    component: () => import('@/views/courseList/index'),
    meta: {
      title: '课程列表'
    }
  },
  {
    path: '/coursewarePlay',
    name: 'coursewarePlay',
    component: () => import('@/views/coursewarePlay'),
    meta: {
      title: '课程播放'
    }
  },
  {
    path: '/exerciseAfterClass',
    name: 'exerciseAfterClass',
    component: () => import('@/views/exercise-after-class/index'),
    meta: {
      title: '观看视频'
    }
  },
  {
    path: '/accompany',
    name: 'accompany',
    component: () => import('@/views/accompany/index'),
    meta: {
      title: '云练习'
    }
  },
  {
    path: '/musicList',
    name: 'music-list',
    component: () => import('@/views/accompany/music-list'),
    meta: {
      title: '曲谱列表'
    }
  },
  {
    path: '/information-list',
    name: 'information-list',
    component: () => import('@/views/information'),
    meta: {
      title: '资讯列表'
    }
  },
  {
    path: '/information-detail',
    name: 'information-detail',
    component: () => import('@/views/information/information-detail'),
    meta: {
      title: '资讯详情'
    }
  },
  {
    path: '/notice-detail',
    name: 'notice-detail',
    component: () => import('@/views/information/notice-detail'),
    meta: {
      title: '公告详情'
    }
  },
  {
    path: '/help-center',
    name: 'help-center',
    component: () => import('@/views/information/help-center'),
    meta: {
      title: '帮助中心'
    }
  },
  {
    path: '/help-detail',
    name: 'help-detail',
    component: () => import('@/views/information/help-center/detail'),
    meta: {
      title: '帮助中心详情'
    }
  },
  {
    path: '/unit-test',
    name: 'unit-test',
    component: () => import('@/views/unit-test'),
    meta: {
      title: '阶段自测'
    }
  },
  {
    path: '/unit-detail',
    name: 'unit-detail',
    component: () => import('@/views/unit-test/unit-detail'),
    meta: {
      title: '测验详情'
    }
  },
  {
    path: '/test-exercise',
    name: 'test-exercise',
    component: () => import('@/views/unit-test/test-exercise'),
    meta: {
      title: '测试练习'
    }
  },
  {
    path: '/practice-mode',
    name: 'practice-mode',
    component: () => import('@/views/unit-test/practice-mode'),
    meta: {
      title: '练习模式'
    }
  },
  {
    path: '/examination-mode',
    name: 'examination-mode',
    component: () => import('@/views/unit-test/examination-mode'),
    meta: {
      title: '测试详情'
    }
  },
  {
    path: '/approval-manage-subsidy',
    name: 'approval-manage-subsidy',
    component: () => import('@/school/approval-manage/subsidy/index'),
    meta: {
      title: '补助确认'
    }
  },
  {
    path: '/mine-orchestra',
    name: 'mine-orchestra',
    component: () => import('@/views/mine-orchestra/index'),
    meta: {
      title: '我的乐团'
    }
  },
  {
    path: '/mine-myphoto',
    name: 'mine-myphoto',
    component: () => import('@/views/mine-orchestra/my-photo'),
    meta: {
      title: '乐团相册'
    }
  },
  {
    path: '/photo-list',
    name: 'photo-list',
    component: () => import('@/views/mine-orchestra/photo-list/index'),
    meta: {
      title: '相册'
    }
  },
  {
    path: '/photo-list-detail',
    name: 'photo-list-detail',
    component: () => import('@/views/mine-orchestra/photo-list/detail'),
    meta: {
      title: '相册详情'
    }
  },
  // message-detail
  {
    path: '/message-detail',
    name: 'message-detail',
    component: () => import('@/views/information/message-detail'),
    meta: {
      title: '消息详情'
    }
  },
  {
    path: '/courseware-record',
    name: 'courseware-record',
    component: () => import('@/views/courseware-record'),
    meta: {
      title: '课件记录'
    }
  },
]

// 不需要登录的路由
export const rootRouter = [
  {
    path: '/payCenter',
    name: 'payCenter',
    component: () => import('@/views/adapay/pay-center'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payDefine',
    name: 'payDefine',
    component: () => import('@/views/adapay/pay-define'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payResult',
    name: 'payResult',
    component: () => import('@/views/adapay/pay-result'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/preview-protocol',
    name: 'preview-protocol',
    component: () => import('@/views/preview-protocol/index'),
    meta: {
      title: '管乐团用户注册协议'
    }
  },
  {
    path: '/privacyProtocol',
    name: 'privacyProtocol',
    component: () => import('@/views/preview-protocol/privacy'),
    meta: {
      title: '管乐团隐私政策'
    }
  },
  {
    path: '/cashProtocol',
    name: 'cashProtocol',
    component: () => import('@/views/preview-protocol/cash-protocol'),
    meta: {
      title: '共享经济平台注册经营者协议'
    }
  },
  {
    path: '/guide',
    name: 'guide',
    component: () => import('@/views/guide/guide'),
    meta: {
      title: '投屏帮助'
    }
  },
  {
    path: '/follow-account',
    name: 'follow-account',
    component: () => import('@/views/follow-account'),
    meta: {
      title: '关注微信公众号'
    }
  },
  {
    path: '/bind-wechat',
    name: 'bind-wechat',
    component: () => import('@/views/bind-wechat'),
    meta: {
      title: '绑定微信'
    }
  },
  {
    path: '/transfer',
    component: () => import('@/student/download/transfer'),
    meta: {
      title: '管乐团'
    }
  },
  {
    path: '/subject-echarts',
    name: 'subject-echarts',
    component: () => import('@/views/subject-echarts/index'),
    meta: {
      title: '声部图表'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/404'),
    meta: {
      title: '404',
      platform: paymentType
    }
  },
  
]
